#!/usr/bin/env ruby
# -*- coding: utf-8 -*-
while true

  print"このソフトでは割り勘の計算ができるよ!
  割り勘の計算をしたいときは下の欄で1を、終わりたいときは2を入力してね!\n"
  
  puts"1.割り勘の計算を始める"
  puts"2.終わる"

  
  print"やりたいものの数字を入力してね!\n"
  
  go=gets.chomp.to_i

  if go==1
    print"代金の合計を入力してね!\n"
   daikinn=gets.to_i
    print"人数を入力してね!\n"
    ninnzu=gets.to_i
    answer=daikinn/ninnzu
    printf("一人あたりの合計金額は%fだよ!\n",answer)
    redo

  elsif go==2
    break

  end
end
